%global __requires_exclude devel\\\(libnss3.*\\\)|devel\\\(libnspr4.*\\\)|devel\\\(libsmime3.*\\\)

%define _disable_ld_no_undefined 1

%define	major_glib	4
%define major_glib_vpn	1
%define major_util	2
%define major_nm	0
%define gimajor_glib	1.0
%define gimajor_util	1.0
%define gimajor_nm	1.0
%define libnm_glib		%mklibname nm-glib %{major_glib}
%define libnm_glib_devel	%mklibname -d nm-glib
%define libnm_glib_vpn		%mklibname nm-glib-vpn %{major_glib_vpn}
%define libnm_glib_vpn_devel	%mklibname -d nm-glib-vpn
%define libnm		%mklibname nm %{major_nm}
%define libnm_devel	%mklibname -d nm
%define libnm_util		%mklibname nm-util %{major_util}
%define libnm_util_devel	%mklibname -d nm-util
%define libnm_glib_gi		%mklibname nmclient-gir %{gimajor_glib}
%define libnm_util_gi		%mklibname networkmanager-gir %{gimajor_util}

%define url_ver %(echo %{version} | cut -d "." -f -2)

%define	rname	NetworkManager

Name:		networkmanager
Summary:	Network connection manager and user applications
Version:	1.10.2
Release:	%mkrel 1
Group:		System/Base
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://download.gnome.org/sources/%{rname}/%{url_ver}/%{rname}-%{version}.tar.xz
Source1: 	networkmanager
#----------------------------------------------
# new from mga
Patch12:	NetworkManager-1.6.0-discover-mac-address.patch
Patch13:	NetworkManager-1.6.0-mga-wireless_essid.patch
#----------------------------------------------

BuildRequires:	libnl3-devel
BuildRequires:	wpa_supplicant
BuildRequires:	libiw-devel
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	ppp-devel
BuildRequires:	polkit-1-devel
BuildRequires:	readline-devel
BuildRequires:	iptables
BuildRequires:  gobject-introspection-devel
BuildRequires:  modemmanager-devel
BuildRequires: %{_lib}vala-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: %{_lib}soup-devel                         
BuildRequires: %{_lib}nss-devel
BuildRequires: %{_lib}newt0.52-devel
BuildRequires: %{_lib}ndp-devel
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: %{_lib}ext2fs-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}bluez-devel
#----------------------------------------------
Requires:	wpa_supplicant
Requires:	wireless-tools
Requires:   dhcp-client
Requires:	mobile-broadband-provider-info
Requires:	modemmanager
Requires:	dnsmasq-base
Requires:	ppp
Requires:	iproute2
Requires:	iptables
Provides:	NetworkManager = %{version}-%{release}
#----------------------------------------------
Requires(post):  rpm-helper
Requires(preun): rpm-helper


%description
NetworkManager is a system service that manages network interfaces and
connections based on user or automatic configuration. It supports Ethernet,
Bridge, Bond, VLAN, Team, InfiniBand, Wi-Fi, mobile broadband (WWAN), PPPoE and
other devices, and supports a variety of different VPN services.

%package -n	%{libnm}
Summary: Library files for networkmanager
Group: System/Libraries
Obsoletes:  %{_lib}nm-glib-vpn1
Obsoletes:  %{_lib}nm-glib4
Obsoletes:  %{_lib}nm-util2
Provides:  %{_lib}nm-glib-vpn1 = %{version}-%{release}
Provides:  %{_lib}nm-glib4 = %{version}-%{release}
Provides:  %{_lib}nm-util2 = %{version}-%{release}

%description -n %{libnm}
Library files for networkmanager


%package -n	%{libnm_devel}
Summary: Development files for networkmanager
Group: Development/Libraries
Requires: %{libnm}
Provides: libnm-devel = %{version}-%{release}
Provides: networkmanager-devel = %{version}-%{release}
Obsoletes: %{_lib}nm-glib-devel
Obsoletes: %{_lib}nm-glib-vpn-devel
Obsoletes: %{_lib}nm-util-devel
Provides: %{_lib}nm-glib-devel = %{version}-%{release}
Provides: %{_lib}nm-glib-vpn-devel = %{version}-%{release}
Provides: %{_lib}nm-util-devel = %{version}-%{release}

%description -n %{libnm_devel}
Development files for networkmanager

%package doc
Summary: Documentation files for networkmanager and libnm
Group: Documentation
Provides: %{rname}-doc = %{version}-%{release}
BuildArch: noarch

%description doc
Complitly doc's for NetworkManager stuff.

%prep
%setup -q -n %{rname}-%{version}
%apply_patches

%build

%configure2_5x	--disable-static \
		--docdir=/usr/share/doc/networkmanager \
		--with-html-dir=/usr/share/gtk-doc \
		--enable-gtk-doc-html=yes \
		--enable-gtk-doc=yes \
		--with-dist-version=mandriva \
		--disable-rpath \
		--with-crypto=nss \
		--enable-more-warnings=yes \
		--with-system-ca-path=/etc/pki/tls/certs \
		--with-nmtui=yes \
		--with-nmcli=yes \
		--with-selinux=no \
		--with-resolvconf=yes \
		--with-tests=yes \
		--with-modem-manager-1 \
		--enable-concheck \
        --with-consolekit=yes \
        --with-session-tracking=consolekit \
        --enable-polkit-agent=no \
        --enable-qt=no \
        --with-hostname-persist=localhost \
		--with-wext=yes \
		--with-systemdsystemunitdir=no \
		--with-systemd-journal=no \
		--with-systemd-logind=no \
		--with-suspend-resume=consolekit \
		--enable-wifi \
		--enable-ppp \
		--enable-bluez5-dun \
		--with-libaudit=no \
		--with-config-dhcp-default=internal \
		--with-crypto=nss \
		--with-dhclient=yes \
		--with-dhcpcd-supports-ipv6=yes \
		--disable-nls

#### 
		
%make V=1

%install
rm -rf %buildroot
%makeinstall_std

install -d %{buildroot}%{_libexecdir}

cat > %{buildroot}%{_sysconfdir}/NetworkManager/NetworkManager.conf << EOF
[main]
plugins=ifcfg-rh,keyfile
dhcp=internal
EOF

# Create netprofile module
%__install -d %{buildroot}%{_sysconfdir}/netprofile/modules/
cat > %{buildroot}%{_sysconfdir}/netprofile/modules/01_networkmanager << EOF
# netprofile module
#
# this module contains settings for saving/restore the NetworkManager configuration
# in different network profiles

NAME="networkmanager"
DESCRIPTION="Networkmanager connection settings"

# list of files to be saved by netprofile
FILES="/etc/NetworkManager/"

# list of services to be restarted by netprofile
SERVICES="networkmanager"
EOF
chmod  755 %{buildroot}%{_sysconfdir}/netprofile/modules/01_networkmanager

# create a VPN directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/VPN

# create keyfile plugin system-settings directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/system-connections

#copy NetworkManager to networkmanager
cp %{buildroot}/%{_sbindir}/%{rname} %{buildroot}/%{_sbindir}/%{name}

#init.d
mkdir -p %{buildroot}/%{_sysconfdir}/rc.d/init.d
install -m 0755 %SOURCE1 %{buildroot}/%{_sysconfdir}/rc.d/init.d/networkmanager

#install-gtk-docs
mkdir -p %{buildroot}/%{_datadir}/gtk-doc/html/{%{rname},libnm,libnm-glib,libnm-util}
install -m 0744 docs/api/html/* %{buildroot}%{_datadir}/gtk-doc/html/%{rname}/
install -m 0744 docs/libnm/html/* %{buildroot}%{_datadir}/gtk-doc/html/libnm/
install -m 0744 docs/libnm-glib/html/* %{buildroot}%{_datadir}/gtk-doc/html/libnm-glib/
install -m 0744 docs/libnm-util/html/* %{buildroot}%{_datadir}/gtk-doc/html/libnm-util/


%find_lang %{rname}

find %{buildroot} -name '*.la' -delete


%files -f %{rname}.lang
%doc AUTHORS CONTRIBUTING ChangeLog NEWS README TODO
%doc %{_docdir}/%{name}/examples/server.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.NetworkManager.conf
%{_sysconfdir}/dbus-1/system.d/nm-dispatcher.conf
%{_sysconfdir}/dbus-1/system.d/nm-ifcfg-rh.conf
%{_sysconfdir}/rc.d/init.d/networkmanager
%dir %{_sysconfdir}/%{rname}
%config(noreplace) %{_sysconfdir}/%{rname}/NetworkManager.conf
%{_sysconfdir}/netprofile/modules/01_networkmanager
%{_sbindir}/%{rname}
%{_sbindir}/%{name}
%dir %{_sysconfdir}/%{rname}/dispatcher.d
%dir %{_sysconfdir}/%{rname}/system-connections
%dir %{_sysconfdir}/NetworkManager/VPN
%{_bindir}/nmcli
%{_bindir}/nm-online
%{_libexecdir}/nm-dispatcher
%{_libexecdir}/nm-dhcp-helper
%{_libexecdir}/nm-iface-helper
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man7/*.7*
%{_mandir}/man8/*.8*

%{_datadir}/bash-completion/completions/nmcli
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.NetworkManager.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.NetworkManager.*.xml
%{_datadir}/polkit-1/actions/org.freedesktop.NetworkManager.policy
%{_datadir}/gtk-doc/html/*/*
/usr/lib/udev/rules.d/84-nm-drivers.rules
/usr/lib/udev/rules.d/85-nm-unmanaged.rules

%{_bindir}/nmtui
%{_bindir}/nmtui-connect
%{_bindir}/nmtui-edit
%{_bindir}/nmtui-hostname

%files -n %{libnm}
%{_libdir}/libnm.so.%{major_nm}*
%{_libdir}/libnm-util.so.%{major_util}*
%{_libdir}/girepository-1.0/NM-%{gimajor_nm}.typelib
%{_libdir}/girepository-1.0/NetworkManager-%{gimajor_util}.typelib
%{_libdir}/libnm-glib.so.%{major_glib}*
%{_libdir}/girepository-1.0/NMClient-%{gimajor_glib}.typelib
%{_libdir}/libnm-glib-vpn.so.%{major_glib_vpn}*
%dir %{_libdir}/NetworkManager
%{_libdir}/NetworkManager/*.so
%{_libdir}/pppd/*.*.*/nm-pppd-plugin.so

%files -n %{libnm_devel}
%dir %{_includedir}/libnm
%{_includedir}/libnm/*.h
%{_libdir}/pkgconfig/libnm.pc
%{_libdir}/libnm.so

%dir %{_includedir}/%{rname}
%{_includedir}/%{rname}/*.h
%{_libdir}/pkgconfig/%{rname}.pc
%{_libdir}/pkgconfig/libnm-util.pc
%{_libdir}/libnm-util.so
%{_datadir}/vala/vapi/libnm-util.deps
%{_datadir}/vala/vapi/libnm-util.vapi

%dir %{_includedir}/libnm-glib
%{_includedir}/libnm-glib/*.h
%{_libdir}/pkgconfig/libnm-glib.pc
%{_libdir}/libnm-glib.so
%{_datadir}/gir-1.0/NM-1.0.gir
%{_datadir}/gir-1.0/NMClient-1.0.gir
%{_datadir}/gir-1.0/NetworkManager-1.0.gir
%{_datadir}/vala/vapi/libnm-glib.deps
%{_datadir}/vala/vapi/libnm-glib.vapi

%{_libdir}/pkgconfig/libnm-glib-vpn.pc
%{_libdir}/libnm-glib-vpn.so

%{_datadir}/vala/vapi/libnm.deps
%{_datadir}/vala/vapi/libnm.vapi

%files doc
%{_datadir}/gtk-doc/NetworkManager/*
%{_datadir}/gtk-doc/libnm-glib/*
%{_datadir}/gtk-doc/libnm-util/*
%{_datadir}/gtk-doc/libnm/*

%preun
%_preun_service networkmanager

%post 
%_post_service networkmanager


%changelog
* Mon Oct 29 2018 adrianomorselli <adrianomorselli> 1.10.1-1uplos2018
- update
- temp change /usr/lib/pkgconfig/libudev.pc to 175
- to make package compile
